Build being rejected for new app

This thread has been locked. Questions are automatically locked after two months of inactivity, or sooner if deemed necessary by a moderator.
Hello,

we are in the process of releasing a new application in the App Store.

I can archive and upload the build ok straight from xcode but then I get this issue:

Dear Developer,
We identified one or more issues with a recent delivery for your app, "McFamily" 3.2.1 (354). Please correct the following issues, then upload again. 
ITMS-90809: Deprecated API Usage - New apps that use UIWebView are no longer accepted. Instead, use WKWebView for improved security and reliability. Learn more (https://developer.apple.com/documentation/uikit/uiwebview). 
Best regards,
The App Store Team

The thing is that

we are not using UIWebView in our code.

We are using some pods that are using it but those should be in their last version.

Here is the pod file:
Code Block
# Uncomment the next line to define a global platform for your project
platform :ios, '11.0'
# Uncomment the next line to ignore all warnings from all pods
inhibit_all_warnings!
# Comment the next line if you're not using Swift and don't want to use dynamic frameworks
use_frameworks!
def pods_base
pod 'Kingfisher'
pod 'RSKImageCropper'
pod 'IHKeyboardAvoiding'
pod 'RealmSwift'
pod 'Liferay-iOS-SDK', '~> 7.2.2'
pod 'LiferayScreens'
pod 'ActiveLabel'
pod 'SwiftLinkPreview'
pod 'AppCenter'
pod 'Firebase/Analytics'
end
target 'Ourlounge' do
pods_base
target 'OurloungeTests' do
inherit! :search_paths
end
end
post_install do |installer|
installer.pods_project.targets.each do |target|
target.build_configurations.each do |config|
end
end
end


The thing is that we publish this code base for other apps (that target other markets/countries) and have no issues when releasing updates for those other apps.

Any help on how to proceed would be very much appreciated.



Up vote post of pepitoria
Post marked as solved 834 views

Replies

To find out where your app (or one of its dependencies) uses UIWebView, you could search for it from your project directory:
Code Block sh
grep -r UIWebView .

I tried this on my machine with your Podfile and found that none of your pods use UIWebView in their current versions. (It is mentioned in a comment and the readme of AppAuth, but that won't make it into the code.)

You might either have outdated versions installed (try running pod update), or it's somewhere in your code. If you can't seem to find it, please post your Podfile.lock which lists all of the installed pod versions.
Updating the pods worked. I will need to make some changes to the code but that bypassed the issue. So thanks!